### Method

# Gtk Snapshotto_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_snapshot_to_paintable (
      GtkSnapshot* snapshot,
      const graphene_size_t* size
    )

#### Description [src]

Returns a paintable encapsulating the render node that was constructed by `snapshot`.

After calling this function, it is no longer possible to add more nodes to `snapshot`. The only function that should be called after this is `g_object_unref()`.

#### Parameters

`size`

  Type: `graphene_size_t`

  The size of the resulting paintable or `NULL` to use the bounds of the snapshot.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GdkPaintable`

A new `GdkPaintable`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.